GSPL-QDEL(1)

NAME
gspl-qdel - delete spool jobs

SYNOPSIS
gspl-qdel [ -options ] job number ...

DESCRIPTION
gspl-qdel deletes one or more jobs from the GNUspool job spool queue, which may be on the local host or other hosts on the network. Jobs are specified by the job number, which is reported by gspl-qlist(1) in the first column of the default output, or by gspl-pr(1) or gspl-rpr(1) when the job is queued with the verbose option. Remote jobs are specified by prefixing the job number by the host name and a colon, thus "host:1234". Leading zeroes in the job number may be omitted.

Gspl-qdel will not delete jobs not marked as "printed" unless the -y option is given.

OPTIONS
Note that the order of treatment, letters and keywords described below may be modified by editing the file rest.help - see spsyntax(5). The environment variable on which options are supplied is "GSPL_QDEL" and the environment variable to specify the help file is "SPRESTCONF".

-? or +explain
    causes a summary of the other options to be displayed without taking further action.

-C nnnn or +classcode nnnn
    may be used to set a class code to narrow or expand the range of jobs from which jobs are selected. It is probably only relevant where the user has override class privilege and it is required to expand the default class code to select additional jobs.

-d or +delete
    cancel a previously-specified -k option.

-D name or +directory name
    Save unqueued jobs to name rather than the current directory.

-e or +do-not-unqueue
    cancel a previously-specified -u option. The jobs will just be deleted, not unqueued.

-J name or +job-prefix name
    specify the given name as the prefix for the job file, followed by the job number, to be used by the -u option rather than the default of J (which in turn may be changed by editing the message file).

-k or +do-not-delete
    when performing an unqueue as specified with the -u option, do not delete the job at the end.

-n or +keep-unprinted
    is the default case. Jobs which have not yet been printed are not deleted.

-S name or +command-prefix name
    specify the given name as the prefix for the command file, followed by the job number, to be used by the -u option rather than the default of C (which in turn may be changed by editing the message file).

-u or +unqueue
    unqueue jobs, i.e. copy to current directory or directory selected with the -D option. Jobs are copied as two files, a job file containing the text of the job and a command file containing an gspl-pr command. The command file may be run as a shell script to re-queue the job with the same options.

-y or +delete-unprinted
    cancels all jobs, whether printed or not.

+freeze-current
    Save all the current options in a .gnuspool file in the current directory. If there are no jobs given to operate on and this is specified, then gspl-qdel will quit without error. If it is unable to save the options and jobs are specified, then gspl-qdel will continue.

+freeze-home
    Save all the current options in a .gnuspool file in the user's home directory. If there are no jobs given to operate on and this is specified, then gspl-qdel will quit without error. If it is unable to save the options and jobs are specified, then gspl-qdel will continue.

FILES
~/.gnuspool configuration file (home directory)

.gnuspool configuration file (current directory)

rest.help message file

ENVIRONMENT

GSPL_QDEL
    space-separated options to override defaults.

SPRESTCONF
    location of alternative help file.

SEE ALSO
gspl-rpr(1), gspl-pr(1), gspl-pq(1), gspl-qchange(1), gspl-qlist(1), spsyntax(5), gnuspool.conf(5), gnuspool.hosts(5).

DIAGNOSTICS
Various diagnostics are read and printed as required from the message file, by default rest.help.

NOTES
The -C option selects the class code for finding the jobs; if you have override class privilege, but your default class code does not allow the jobs "to be seen" in the output of gspl-qlist(1), then you may need to specify this.

Any errors are reported with appropriate messages on standard error. If any errors are detected operating on several jobs, the exit code will correspond to the last such error displayed.

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.